org.gradle.platform.base

## Interface BinarySpec

- All Superinterfaces:
    Buildable, BuildableModelElement, Named
  All Known Subinterfaces:
    ApplicationBinarySpec, ClassDirectoryBinarySpec, CUnitTestSuiteBinarySpec, JarBinarySpec, JvmBinarySpec, JvmLibraryBinarySpec, LibraryBinarySpec, NativeBinarySpec, NativeExecutableBinarySpec, NativeLibraryBinarySpec, NativeTestSuiteBinarySpec, SharedLibraryBinarySpec, StaticLibraryBinarySpec, TestSuiteBinarySpec
  All Known Implementing Classes:
    BaseBinarySpec

      @Incubating
      public interface BinarySpec
      extends BuildableModelElement, Named

  Represents a binary artifact that is the result of building a project component.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDisplayName()` Returns a human-consumable display name for this binary.
    `DomainObjectSet<LanguageSourceSet>` | `getSource()` The source sets used to compile this binary.
    `BinaryTasksCollection` | `getTasks()` The set of tasks associated with this binary.
    `boolean` | `isBuildable()` Can this binary be built in the current environment?
    `void` | `source(Object source)` Adds one or more `LanguageSourceSet`s that are used to compile this binary.

    - ### Methods inherited from interface org.gradle.api.BuildableModelElement

      `builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getDisplayName

          String getDisplayName()

      Returns a human-consumable display name for this binary.

    - #### isBuildable

          boolean isBuildable()

      Can this binary be built in the current environment?

    - #### getSource

          DomainObjectSet<LanguageSourceSet> getSource()

      The source sets used to compile this binary.

    - #### source

          void source(Object source)

      Adds one or more `LanguageSourceSet`s that are used to compile this binary.

      This method accepts the following types:
      - A `FunctionalSourceSet`
      - A `LanguageSourceSet`
      - A Collection of `LanguageSourceSet`s

    - #### getTasks

          BinaryTasksCollection getTasks()

      The set of tasks associated with this binary.